let persistent_storage = ref ".persistent_hash"
let decay = ref 7

let speclist = ["-decay",Arg.Int (fun x -> decay := x), "decay time scale (default 7 days)";
	      ]


let _ =
  Arg.parse speclist (fun x -> persistent_storage := x) "";
  Random.init (input_binary_int (open_in_bin "/dev/urandom"));
  
  let hashtable = Int_hash_persistent.make_hash_table !persistent_storage in
  
  Int_hash_persistent.decay hashtable !decay;
  Int_hash_persistent.close hashtable
    
